## ros-one-mbf-simple-nav 0.4.0-42jammy.20251023.1149

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mbf_simple_nav)

find_package(catkin REQUIRED
  COMPONENTS
  actionlib
  actionlib_msgs
  dynamic_reconfigure
  geometry_msgs
  mbf_abstract_nav
  mbf_msgs
  mbf_abstract_core
  nav_msgs
  pluginlib
  roscpp
  std_msgs
  std_srvs
  tf
  tf2
  tf2_ros
  )

find_package(Boost COMPONENTS thread chrono REQUIRED)

set(MBF_SIMPLE_SERVER_LIB mbf_simple_server)
set(MBF_SIMPLE_SERVER_NODE mbf_simple_nav)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${MBF_SIMPLE_SERVER_LIB}
  CATKIN_DEPENDS
  actionlib
  actionlib_msgs
  dynamic_reconfigure
  geometry_msgs
  mbf_abstract_nav
  mbf_msgs
  mbf_abstract_core
  nav_msgs
  pluginlib
  roscpp
  std_msgs
  std_srvs
  tf
  tf2
  tf2_ros
  DEPENDS Boost
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(${MBF_SIMPLE_SERVER_LIB}
  src/simple_navigation_server.cpp
)

add_dependencies(${MBF_SIMPLE_SERVER_LIB} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${MBF_SIMPLE_SERVER_LIB}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_executable(${MBF_SIMPLE_SERVER_NODE} src/simple_server_node.cpp)
add_dependencies(${MBF_SIMPLE_SERVER_NODE} ${MBF_SIMPLE_SERVER_LIB})
target_link_libraries(${MBF_SIMPLE_SERVER_NODE}
  ${MBF_SIMPLE_SERVER_LIB}
  ${catkin_LIBRARIES})

install(TARGETS
  ${MBF_SIMPLE_SERVER_LIB} ${MBF_SIMPLE_SERVER_NODE}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42jammy.20251023.1149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 11:49:35 +0000

ros-one-mbf-simple-nav (0.4.0-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.4-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.3-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.2-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.1-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.0-0jammy) jammy; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.5-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.4-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.3-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.2-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.1-0jammy) jammy; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.0-0jammy) jammy; urgency=high

  * Update copyright and 3-clause-BSD license
  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.1.0-0jammy) jammy; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-mbf-simple-nav
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-mbf-abstract-core, ros-one-mbf-abstract-nav, ros-one-mbf-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2, ros-one-tf2-ros
Homepage: http://wiki.ros.org/move_base_flex
Standards-Version: 3.9.2

Package: ros-one-mbf-simple-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-mbf-abstract-core, ros-one-mbf-abstract-nav, ros-one-mbf-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2, ros-one-tf2-ros
Description: The mbf_simple_nav package contains a simple navigation server implementation of Move Base Flex (MBF).
 The simple navigation server is bound to no map representation. It provides actions for planning, controlling and recovering. MBF loads all defined plugins which are defined in the lists *planners*, *controllers* and *recovery_behaviors*. Each list holds a pair of a *name* and a *type*. The *type* defines which kind of plugin to load. The *name* defines under which name the plugin should be callable by the actions. It tries to load the defined plugins which implements the defined interfaces in mbf_abstract_core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mbf-simple-nav//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mbf-simple-nav 0.4.0-42jammy.20251208.0014

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42jammy.20251208.0014) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 08 Dec 2025 00:14:16 +0000

## ros-one-mbf-simple-nav 0.4.0-42jammy.20260221.2307

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42jammy.20260221.2307) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 23:07:36 +0000

## ros-one-mbf-simple-nav 0.4.0-42noble.20251023.1219

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42noble.20251023.1219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 12:19:31 +0000

ros-one-mbf-simple-nav (0.4.0-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.4-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.3-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.2-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.1-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.3.0-0noble) noble; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.5-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.4-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.3-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.2-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.1-0noble) noble; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.2.0-0noble) noble; urgency=high

  * Update copyright and 3-clause-BSD license
  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-simple-nav (0.1.0-0noble) noble; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

## ros-one-mbf-simple-nav 0.4.0-42noble.20251208.1103

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42noble.20251208.1103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 08 Dec 2025 11:03:57 +0000

## ros-one-mbf-simple-nav 0.4.0-42noble.20260222.0012

=== debian/changelog ===
ros-one-mbf-simple-nav (0.4.0-42noble.20260222.0012) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 22 Feb 2026 00:12:22 +0000
